<?php 
require "../Run.php";

/*获取当前版本*/

$my_version =  file_get_contents("../lib/version.txt");

/*获取最新版本*/

$sys_version =  file_get_contents("http://dingd.cn/lib/newversion.txt");



$shengji = '无需升级';
$sj_cmd = 0;
if($my_version < $sys_version){

	$shengji = '需要升级';
	$sj_cmd = 1;
}
if($sys_version == NULL){
	$sys_version = '获取失败';
}

if(VERYZ == 1){
	$banquan = '[正版授权]';
}else{
	$banquan = '[非法授权]';
}
/*升级参数*/
$tip = file_get_contents("http://dingd.cn/lib/tip.txt");

$file_url = file_get_contents("http://dingd.cn/lib/zipurl.txt");

$end = file_get_contents("http://dingd.cn/lib/end.txt");


echo head('叮咚程序远程升级');

echo '<div class="title">程序远程升级</div>';

echo '<div class="tip">此功能正处理测试阶段，如果没有必要请尽量不要使用，假如升级失败请联系叮咚程序官方解决或者重新下载上传</div>';

$bz = $_GET['act'];

if($bz == NULL){
echo $tip;
echo '<br>升级所需的升级包地址：<br>';
echo $file_url.'<br>';	
echo '<a href="?act=1">[确定下载并执行下一步]</a>';
}elseif($bz == 1){
	$file_content = file_get_contents($file_url);
	file_put_contents('dingd/download.zip',$file_content);
	if(is_file("dingd/download.zip")){
		echo '<div class="tip">执行成功<br></div>';
		echo '已经将远程的升级文件下载至网站dingd目录下，请解压此文件存至网站根目录';
		echo '[解压文件请确保服务器开启了zip扩展（本功能未经任何测试，请注意）]';
		echo '<br><a href="?act=2">[确认执行下一步]</a>';
	}else{
		echo '下载失败，请更换升级方式或者重试！';
	}
}elseif($bz == 2){
	
	$zip = new ZipArchive;//新建一个ZipArchive的对象

    if($zip->open('dingd/download.zip')===TRUE){

    $zip->extractTo(root_path());//假设解压缩到在当前路径下images文件夹内

    $zip->close();//关闭处理的zip文件

	}
echo '<div class="tip">已经解压和覆盖文件了！执行最后一步！看看总站有没有特殊提示？<br><a href="?act=3">[确认执行下一步]</a>';

}elseif($bz == 3){
echo $end;
echo '<div class="mylink"><a href="../index.php?"></div>';
}
echo '<br>程序官网:<a href="http://dingd.cn">叮咚网讯</a>';
echo '<div class="mylink"><a href="../index.php?">网站首页</a></div>';
echo  footer(1);
?>